@import "./fonts.css" layer(fonts);

@layer proof {
  :root {
    --font-weight: 400;
    --font-slant: 0;
    --font-opsz-enabled: "auto";
    --font-width: 100;
    --font-family-name: "Malini";
    --font-size: 20;
    --font-letter-spacing: 0;
    --font-line-height: 1.5;
    --text-align: left;
    /* light */

    --text-1-light: hsla(220, 16%, 16%, 1);
    --surface-1-light: hsla(220, 16%, 92%, 1);

    /* dark */

    --text-1-dark: hsla(220, 16%, 92%, 1);
    --surface-1-dark: hsla(220, 16%, 16%, 1);
  }

  body {
    block-size: 100%;
    background-color: var(--surface-1);
    color: var(--text-1);
    accent-color: var(--brand);

    overflow: hidden;
  }

  .text-samples {
    display: grid;
    grid-template-columns: 3fr 7fr 2fr;
    align-items: center;
  }

  main {
    display: grid;
    grid-template-columns: 40ch auto;
    overflow: hidden;
    height: 100vh;
  }

  .content {
    display: grid;
    align-content: start;
    text-align: var(--text-align);
    font-family: var(--font-family-name), sans;
    line-height: var(--font-line-height);
    letter-spacing: calc(var(--font-letter-spacing) * 1px);
    font-size: calc(var(--font-size) * 1px);
    padding: 2rem;

    margin-left: auto;
    margin-right: auto;
    outline: none;
    max-width: 75ch;
    font-variation-settings: "wght" var(--font-weight), "slnt" var(--font-slant),
      "wdth" var(--font-width), "opsz" var(--font-opsz);
    font-optical-sizing: var(--font-opsz-enabled);
    hyphens: auto;
    hyphenate-character: "";

    hyphenate-limit-chars: 6 3 2;
    /*Avoiding hyphenated words across the last line of a paragraph*/
    hyphenate-limit-last: always;
    hyphenate-limit-zone: 8%;

    direction: ltr;
    font-synthesis: none;
    text-rendering: optimizeLegibility;
    text-wrap: pretty;
    overflow: auto;
  }

  .malini .content {
    font-variation-settings: "wght" var(--font-weight), "slnt" var(--font-slant),
    "wdth" var(--font-width);
  }

  :root {
    color-scheme: dark;
    /* set defaults */

    --text-1: var(--text-1-light);
    --surface-1: var(--surface-1-light);
  }

  @media (max-width: 600px) {
    main {
      grid-template-columns: 1fr;
    }
  }

  @media (prefers-color-scheme: dark) {
    :root {
      color-scheme: dark;

      --text-1: var(--text-1-dark);
      --surface-1: var(--surface-1-dark);

      --tp-base-background-color: hsla(220, 16%, 16%, 1);
      --tp-base-shadow-color: hsla(220, 16%, 20%, 1);
      --tp-button-background-color: hsla(220, 16%, 26%, 1);
      --tp-button-background-color-active: hsla(220, 16%, 29%, 1);
      --tp-button-background-color-focus: hsla(220, 16%, 26%, 1);
      --tp-button-background-color-hover: hsla(220, 16%, 29%, 1);
      --tp-button-foreground-color: hsla(220, 16%, 92%, 1);
      --tp-container-background-color: hsla(220, 16%, 29%, 1);
      --tp-container-background-color-active: hsla(220, 16%, 20%, 1);
      --tp-container-background-color-focus: hsla(220, 16%, 26%, 1);
      --tp-container-background-color-hover: hsla(220, 16%, 29%, 1);
      --tp-container-foreground-color: hsla(220, 16%, 92%, 1);
      --tp-groove-foreground-color: hsla(220, 16%, 20%, 1);
      --tp-input-background-color: hsla(220, 16%, 16%, 1);
      --tp-input-background-color-active: hsla(220, 16%, 20%, 1);
      --tp-input-background-color-focus: hsla(220, 16%, 26%, 1);
      --tp-input-background-color-hover: hsla(220, 16%, 29%, 1);
      --tp-input-foreground-color: hsla(220, 16%, 92%, 1);
      --tp-label-foreground-color: hsla(220, 16%, 92%, 1);
      --tp-monitor-background-color: hsla(220, 16%, 16%, 1);
      --tp-monitor-foreground-color: hsla(220, 16%, 92%, 1);
    }
  }

  [color-scheme="light"] {
    color-scheme: light;
    --text-1: var(--text-1-light);
    --surface-1: var(--surface-1-light);

    --tp-base-background-color: hsla(220, 16%, 95%, 1);
    --tp-base-shadow-color: hsla(220, 16%, 90%, 1);
    --tp-button-background-color: hsla(220, 16%, 70%, 1);
    --tp-button-background-color-hover: hsla(220, 16%, 70%, 1);
    --tp-button-background-color-active: hsla(220, 16%, 65%, 1);
    --tp-button-background-color-focus: hsla(220, 16%, 60%, 1);
    --tp-button-foreground-color: hsla(220, 16%, 10%, 1);
    --tp-container-background-color: hsla(220, 16%, 85%, 1);
    --tp-container-background-color-active: hsla(220, 16%, 80%, 1);
    --tp-container-background-color-focus: hsla(220, 16%, 75%, 1);
    --tp-container-background-color-hover: hsla(220, 16%, 80%, 1);
    --tp-container-foreground-color: hsla(220, 16%, 10%, 1);
    --tp-groove-foreground-color: hsla(220, 16%, 80%, 1);
    --tp-input-background-color: hsla(220, 16%, 90%, 1);
    --tp-input-background-color-active: hsla(220, 16%, 80%, 1);
    --tp-input-background-color-focus: hsla(220, 16%, 75%, 1);
    --tp-input-background-color-hover: hsla(220, 16%, 80%, 1);
    --tp-input-foreground-color: hsla(220, 16%, 10%, 1);
    --tp-label-foreground-color: hsla(220, 16%, 10%, 1);
    --tp-monitor-background-color: hsla(220, 16%, 90%, 1);
    --tp-monitor-foreground-color: hsla(220, 16%, 10%, 1);
  }

  [color-scheme="dark"] {
    color-scheme: dark;

    --text-1: var(--text-1-dark);
    --surface-1: var(--surface-1-dark);
  }
}
